$().ready(function() {
	var fecha = new Date();
	var anioActual = fecha.getFullYear();
	var anioInicial = 2014;

	for (i = anioInicial; i <= anioActual; i++) {

		$("#tfFechaReporte").append($('<option>', {
			value: i,
			text: i
		}));

		$("#tfFechaFinReporte").append($('<option>', {
			value: i,
			text: i
		}));
	}

	$("#btGeneraReporte").prop("disabled", false);

});

function fHabilitaBoton() {

	var fecha = $("#tfFechaReporte").val();

	if (fecha != null)
		$("#btGeneraReporte").prop("disabled", false);

}//Termina function fHabilitaBoton()


function fgeneraReporte() {
	var fecha = new Date();
	fecha = $("#tfFechaReporte").val();

	var fechaFin = new Date();
	fechaFin = $("#tfFechaFinReporte").val();

	$("#gifLoad").show();

	if (fecha != null)
		$("#btGeneraReporte").prop("disabled", true);

	var jsonString = '{"fecha": "' + fecha + '","fechaFin": "' + fechaFin + '"}';
	var stringJson = JSON.parse(jsonString);

	$.ajax({
		url: contextPath + "/reporte/amortizacionBActivos/generarReporteBActivos",
		type: 'POST',
		data: stringJson,
		dataType: "json",
		success: function(response) {
			descargarArchivo(response);
		}, error: function(jqXhr, textStatus, errorThrown) {
			showError("Ocurri\u00F3 un error al generar el reporte: " + textStatus);
		}
	});

}


function descargarArchivo(jsonData) {

	if (jsonData.mensajeExcepcion != null) {
		showWarn(jsonData.mensajeExcepcion);
	}
	var DataReporte = jsonData.respuesta;

	if (DataReporte.resultado) {
		window.location = contextPath + "/reporte/amortizacionBActivos/descargarArchivo.action?rutaArchivo=" + DataReporte.ruta;
	}
	else
		showError('Error al generar el reporte.');


	$("#btGeneraReporte").prop("disabled", false);
	$("#gifLoad").hide();

}